Entities, properties and relations
Limits
To protect the system against extensive memory usage of a single query, there are global limits applied:
The maximum number of root nodes that can be requested,
rootNodesNumberLimit, enforces the maximum value for thedisplayLengthparameter to 100,000.This limit is currently disabled by default on all environments, but we recommend enabling it and always using smaller
displayLengthvalues to ensure a single query does not overuse system resources.The maximum number of nodes that can be requested in a single page,
pageNodesNumberLimit, enforces a maximum number of both root and children nodes to 1,000,000.This limit is always enabled. All graph queries are internally paged with a page size of 5,000 to produce full results and return them to the API customer. This limit is applied per single page.
For endpoints that produce results directly into the response, without producing a file or a job, reaching the limit could lead to partial responses with a 200 OK HTTP status code because results are streamed directly to the response for best performance.
You can change the default values for these limits in Collibra Console, in the Graph query limits section.
Entity
Base abstract class of all other entities. An abstract entity cannot be queried, thus Entity cannot be used in the query tree.
Properties
idText (36): Universally unique identifier (UUID).
Resource
Extends Entity
Abstract entity, which is the base class of most other entities. Most other entities share the following properties and relations. An abstract entity cannot be queried, thus Resource cannot be used in the query tree.
Properties
createdOnIsoDateNumber: The creation date expressed as an ISO 8601 formatted date.createdOnTimestampNumber: The creation date expressed as the number of milliseconds since 1/1/1970.createdByText: The ID of the user who created this resource.lastModifiedIsoDateNumber: The last modification date expressed as an ISO 8601 formatted date.lastModifiedTimestampNumber: The last modification date expressed as the number of milliseconds since 1/1/1970.lastModifiedByText: The ID of the last user who modified this resource.systemBoolean: Indicates if this resource is reserved by the system.
Relations
UserMany-to-one:The user who created the resource.
The user who last modified the resource.
The user who created or last modified the resource. See
Userfor details on specifying which kind of relationship is used.
Representation
Extends Resource
Abstract entity, which is the base class for Asset. All assets share the following relationships. An abstract entity cannot be queried, thus Representation cannot be used in the query tree.
Relations
StatusMany-to-one: The current status of the representation.DomainMany-to-one: The domain containing the representation.AssetTypeMany-to-one: TheAssetTypeof the representation.AttributeOne-to-many: The collection of attributes in the representation.StringAttributeOne-to-many: The collection ofStringAttributesin the representation.ScriptAttributeOne-to-many: The collection ofScriptAttributesin the representation.SingleValueListAttributeOne-to-many: The collection ofSingleValueListAttributesin the representation.MultiValueListAttributeOne-to-many: The collection ofMultiValueListAttributesin the representation.BooleanAttributeOne-to-many: The collection ofBooleanAttributesin the representation.NumericAttributeOne-to-many: The collection ofNumericAttributesin the representation.DateTimeAttributeOne-to-many: The collection ofDateTimeAttributesin the representation.DateAttributeOne-to-many: The collection ofDateAttributesin the representation.
Organization
Extends Resource
Represents the hierarchy of organizations available in Collibra.
Properties
NameText (255): The name of the organization.descriptionText: The description of the organization.uriText (255): The URI of the organization.languageText (255): The name of the language used.metaBoolean: Indicates if the community is related to the meta model, such as a hidden organization.hasNonMetaChildrenBoolean: Indicates if the organization contains non-meta subcommunities or domains.hasNonMetaChildCommunityBoolean: Indicates if the organization contains non-meta communities.organizationTypeText: Indicates if the organization is a community ("C") or a domain ("D").
Relations
ParentCommunityMany-to-one: The parent community of this organization. Null for root communities. Optional.CommunityOne-to-many: The collection of subcommunities.DomainOne-to-many: The collection of domains contained in the organization.ResponsibilityOne-to-many: The collection of responsibilities playing a role in the community.ViewPermissionOne-to-many: The collection of view permissions assigned to the organization.SubCommunitiesOne-to-many: The collection of domains contained in the community.CommentOne-to-many: The collection of comments contained in the community.AssetOne-to-many: The collection of assets contained in the community.DomainTypeOne-to-many: The type of domain.MappingOne-to-many: The collection of mappings corresponding to this domain.
Filtering property
rootCommunityBoolean: When true, the query engine adds a filter retaining only root communities. Only available when the community is also the root of the query tree.
Community
Extends Organization
Exact synonym of an organization but with default filtering on organizationType equal to "C".
ParentCommunity
Extends Community
Exact synonym of a community. It can only be used as a child of the community to disambiguate the relationship followed.
Domain
Extends Organization
Synonym of an organization but with default filtering on organizationType equal to "D" and with overridden relation for Community.
Relations
CommunityMany-to-one: The parent community.
DomainType
Extends Resource
Each domain has a DomainType.
Properties
signifierText (255): The name of theDomainType.name: Synonym forsignifier.descriptionText: The description of theDomainType.metaBoolean: Indicates if theDomainTypeis related to the Collibra meta model.
Relations
DomainOne-to-many: The collection of domain instances of theDomainType.DomainTypeMany-to-one: The parentDomainTypeof theDomainType. Null for rootDomainTypes. Optional.ChildDomainTypesOne-to-many: The collection ofDomainTypechildren.
ChildDomainTypes
Extends DomainType, collection of DomainType
Exact synonym of DomainType. Can only be used as a child of DomainType to disambiguate the relationship followed.
RelationType
Extends Resource
A RelationType defines a class of relationship between two AssetTypes, also called concept types.
Properties
roleText: The label of the relation when followed from head to tail.coroleText: The label of the reversed relation, when followed from tail to head.descriptionText: The description of theRelationType.
Relations
RelationOne-to-many: The collection of relation instances with thisRelationType.SourceAssetTypeMany-to-one: TheAssetTypethat is the head of theRelationType.SourceAssetTypeis a synonym ofAssetTypeand clarifies which path is followed from theRelationentity to its child. In this case, the child node is the head.TargetAssetTypeMany-to-one: TheAssetTypethat is the tail of theRelationType.TargetAssetTypeis a synonym ofAssetTypeand clarifies which path is followed from theRelationentity to its child. In this case, the child node is the tail.
Parent relationship selector
type: This parameter allows specifying which path should be followed from the parentAssetTypeentity to theRelationType. The possible values are eitherHEADorTAIL, which tells whether the parentAssetTypeis the head or the tail of theRelationType. The default value isHEAD.
Relation
Extends Resource
A Relation links two Assets together.
Properties
Number: (Deprecated) The optional start date for this relation.startingDateNumber: (Deprecated) The optional end date for this relation.endingDateisGeneratedBoolean: True if this relation was generated.
Relations
RelationTypeMany-to-one: The type of this relation.SourceAssetMany-to-one: The source asset of this relation.TargetAssetMany-to-one: The target asset of this relation.
Parent relationship selector
Only if the parent is an asset node or is of a type inheriting from an asset node.
type: This parameter allows specifying which path should be followed from the parent asset entity to this relation. The possible values are eitherSOURCEorTARGET, which tells whether the parent asset is the source or target of the relation. This parameter is mandatory because there is no default value.
Filtering property
typeId: Allows filtering relations using the ID value of their relatedRelationType.
ComplexRelation
Extends Asset
A ComplexRelation is an anonymous asset, whose signifier, or name, has been generated.
Relations
ComplexRelationTypeMany-to-one: The type of this complex relation.
Filtering property
typeId: Allows filteringComplexRelationsusing the ID value of their relatedComplexRelationType.
Additional parameters
separator: The character to be used to separate related asset names in an Excel or CSV export.quote: The character to be used to quote related asset names in an Excel or CSV export.
ComplexRelationType
Extends AssetType
A ComplexRelationType determines the type of a ComplexRelation.
Relations
ComplexRelationOne-to-many: The collection ofComplexRelationinstances with theComplexRelationType.ComplexRelationLegTypeOne-to-many: The collection ofComplexRelationLegTypeslinked to theComplexRelationType.ComplexRelationAttributeTypeOne-to-many: The collection ofComplexRelationAttributeTypeslinked to theComplexRelationType.
ComplexRelationLegType
Extends Resource
A ComplexRelationLegType is a RelationType used in the context of a ComplexRelationType. The SourceAssetType of those RelationTypes of the ComplexRelationType. It can only be used as a child of ComplexRelationType.
Properties
minNumber: The minimum occurrences of thisRelationTypein theComplexRelationType.maxNumber: The maximum occurrences of thisRelationTypein theComplexRelationType.legOrderNumber: The order of thisComplexRelationLegTypein theComplexRelationType.
Relations
RelationTypeMany-to-one: TheRelationTypeof theComplexRelationLegType.
ComplexRelationAttributeType
Extends Resource
A ComplexRelationAttributeType is an AttributeType used in the context of a ComplexRelationType. Can only be used as a child of ComplexRelationType.
Properties
minNumber: The minimum occurrences of thisAttributeTypein theComplexRelationType.maxNumber: The maximum occurrences of thisAttributeTypein theComplexRelationType.readOnlyBoolean: Indicates if the attribute can be edited or not.attributeOrderNumber: The order of thisComplexRelationAttributeTypein theComplexRelationType.
Relations
AttributeTypeMany-to-one: TheAttributeTypeof thisComplexRelationAttributeType.
Asset
Extends Representation
An Asset is the basic building block capturing information about the assets available in Collibra.
Properties
signifierText (2000): The full name of the asset.displayNameText (2000): The display name of the asset.articulationScoreNumber: Result of the last calculation of the articulation score.Boolean: (Deprecated) Virtual calculated property indicating if this asset has children for the relation type defined at the query level. This property takes two additional parameters:hasChildrenForRelationThe
RelationType.direction(role or co-role).
For example:
It can only be used if
Assetis a root node of the query. It is not inherited by nodes extending theAssetnode.avgRatingNumber: Average value of all ratings assigned to the asset.ratingsCountNumber: Number of all ratings assigned to the asset.classText: The class of the asset:ClassDescriptionTEAsset
RLRole
CRComplex relation
WDWorkflow definition
The Output Module has a broader interpretation of assets, which includes roles, complex relations, and workflows. Use the
classproperty to differentiate among these subclasses.
Relations
RelationOne-to-many: The collection of relations this asset has. SeeRelationfor a mandatorytypeparameter.ResponsibilityOne-to-many: The collection of responsibilities this asset has.MappingOne-to-many: The related mappings.TagMany-to-many: The collection of tags associated with this asset.
Filtering property
rootOfRelation: An array of relation type and direction pairs. Root assets are not the child of any of the relations.For example:
SourceAsset
Extends Asset
Exact synonym of Asset. It can only be used as a child of a relation to disambiguate the relationship followed.
TargetAsset
Extends Asset
Exact synonym of Asset. It can only be used as a child of a relation to disambiguate the relationship followed.
SourceAssetType
Extends AssetType
Exact synonym of AssetType. It can only be used as a child of RelationType to disambiguate the relationship followed.
TargetAssetType
Extends AssetType
Exact synonym of AssetType. Can only be used as a child of RelationType to disambiguate the relationship followed.
AssetType
Extends Resource
An AssetType determines the type of asset.
Properties
discriminatorText: The type of thisAssetType. Possible values are:AssetTypeComplexRelationTypeTrait
signifierText (255): The name of thisAssetType.name: Synonym forsignifier.descriptionText: The description of theAssetType.metaBoolean: Indicates if theAssetTypeis related to the Collibra meta model.colorText: The color of theAssetType.iconText: The icon of theAssetType.acronymText: The acronym of theAssetType.symbolTypeText: Defines the icon or acronym used in Collibra. Possible values areICON,ACRONYM, andNONE.displayNameEnabledBoolean: Indicates if the display name is enabled for all assets of thisAssetType.ratingEnabledBoolean: Indicates if ratings are enabled for all assets of thisAssetType.
Relations
AssetOne-to-many: The collection of instances of thisAssetType.AssetTypeMany-to-one: The parentAssetTypeof thisAssetType.ChildAssetTypesOne-to-many: The collection of concept types that have thisAssetTypeas parent.
ChildAssetTypes
Extends AssetType, collection of AssetType
Can only be used as a child of AssetType to disambiguate the relationship followed.
The ComplexRelationType, despite inheriting from AssetType, does not support the ChildAssetTypes node.
Attribute
Extends Resource
Attribute represents an attribute linked to a representation.
Properties
valueText: The text value of this attribute.
For date values, a JSON or XML export contains the number of milliseconds since 1/1/1970, while a CSV or Excel export contains an ISO 8601 formatted date.
classText: With other entities, extendsAttribute. Use theclassqualifier to differentiate between the various subclasses.
Relations
AttributeTypeMany-to-one: The type of attribute.AssetMany-to-one: The asset to which the attribute belongs.
Filtering property
labelId: Allows filtering the attributes based on the ID of their relatedAttributeType.
StringAttribute
Extends Attribute
A StringAttribute is an attribute dedicated to text values.
Properties
longExpressionText: The unbounded text value. Obsolete, but returns the same content asAttribute:value.
ScriptAttribute
Extends Attribute
A ScriptAttribute is an attribute dedicated to script values.
Properties
scriptText: The script. Obsolete, but returns the same content asAttribute:value.
SingleValueListAttribute
Extends Attribute
A SingleValueListAttribute is an attribute dedicated to storing a single value selected from a list.
MultiValueListAttribute
Extends Attribute
A MultiValueListAttribute is an attribute dedicated to storing multiple values selected from a list.
Properties
valuesText: The multiple values.
BooleanAttribute
Extends Attribute
A BooleanAttribute is an attribute dedicated to Boolean values.
Properties
booleanValueBoolean: The value.
NumericAttribute
Extends Attribute
A NumericAttribute is an attribute dedicated to numeric values.
Properties
numericValueNumber: The stored number.
DateAttribute
Extends Attribute
A DateAttribute is an attribute dedicated to date values.
Properties
timestampNumber: The date value expressed as the number of milliseconds since 1/1/1970.isoDateString: The date value expressed as an ISO 8601 formatted date.
AttributeType
Extends Resource
The AttributeType determines the type of an attribute.
Properties
signifierText (255): The name of theAttributeType.name: Synonym forsignifier.descriptionText: The description of thisAttributeType.attributeKindText (255): TheAttributeTypekind. The possible values are:BOOLEAN,STRING,NUMERIC,DATE,DATE_TIME,SINGLE_VALUE_LIST,MULTI_VALUE_LIST, andSCRIPT.languageText (255): The name of the language used. The kind isSCRIPT.isIntegerBoolean: Indicates if theAttributeTypedefines an integer or decimal. If true, it defines an integer. If false, it defines a decimal. The kind isNUMERIC.allowedValuesText: Comma-separated list of values. The kind isSINGLE_VALUE_LISTorMULTI_VALUE_LIST.
Relations
AttributeOne-to-many: The collection ofAttributesof this type.
User
Extends Resource
Represents Collibra users. Any resource has a creation date and the last modification date. Collibra also stores which user made each of these operations. The User entity is related to all types as the creator and/or last modifier of the entity.
Properties
userNameText: The user name. Requires administrative rights to be queried.firstNameText: The first name.lastNameText: The last name.fullNameText: Virtual property containing the first and last name together, which is useful for filters.genderText: The gender. Requires administrative rights to be queried.languageText: The user language. Requires administrative rights to be queried.activatedBoolean: Indicates if the user is activated. Requires administrative rights to be queried.ldapUserBoolean: Indicates if the user is an LDAP user. Requires administrative rights to be queried.Boolean: (Deprecated) Indicates if this is an API user.apiUserenabledBoolean: Indicates if the user is enabled.emailAddressText: The user's primary email address.guestBoolean: Indicates if this is a guest user.
Relations
EmailMany-to-many: The collection of emails owned by the user.PhoneMany-to-many: The collection of phone numbers owned by the user.InstantMessagingAccountMany-to-many: The collection ofInstantMessagingAccountaccounts owned by this user.WebsiteMany-to-many: The collection of websites owned by the user.AddressMany-to-many: The collection of addresses owned by the user.CommunityOne-to-many: The collection of communities created or last modified by the user.DomainOne-to-many: The collection of vocabularies created or last modified by the user.DomainTypeOne-to-many: The collection ofDomainTypescreated or last modified by the user.RelationTypeOne-to-many: The collection ofRelationTypescreated or last modified by the user.RelationOne-to-many: The collection of relations created or last modified by the user.ComplexRelationOne-to-many: The collection ofComplexRelationscreated or last modified by the user.AssetOne-to-many: The collection of assets created or last modified by the user.AssetTypeOne-to-many: The collection ofAssetTypescreated or last modified by the user.AttributeOne-to-many: The collection of attributes created or last modified by the user.StringAttributeOne-to-many: The collection ofStringAttributescreated or last modified by the user.ScriptAttributeOne-to-many: The collection ofScriptAttributescreated or last modified by the user.SingleValueListAttributeOne-to-many: The collection ofSingleValueListAttributescreated or last modified by the user.MultiValueListAttributeOne-to-many: The collection ofMultiValueListAttributescreated or last modified by the user.BooleanAttributeOne-to-many: The collection ofBooleanAttributescreated or last modified by the user.NumericAttributeOne-to-many: The collection ofNumericAttributescreated or last modified by the user.DateTimeAttributeOne-to-many: The collection ofDateTimeAttributescreated or last modified by the user.DateAttributeOne-to-many: The collection ofDateAttributescreated or last modified by the user.AttributeTypeOne-to-many: The collection ofAttributeTypescreated or last modified by this user.UserOne-to-many: The collection of users created or last modified by this user.GroupMany-to-many: The collection of groups to which this user belongs.ResponsibilityOne-to-many: The collection of responsibilities linking this user to a role on an asset, domain or community.RoleOne-to-many: The collection of roles created or last modified by this user.StatusOne-to-many: The collection of statuses created or last modified by the user.One-to-many: (Deprecated) The collection ofWorkflowTaskInfoWorkflowTaskInfoscreated or last modified by the user.MappingOne-to-many: The collection of mappings created or last modified by the user.
Parent relationship selector
linkType: This parameter allows specifying the path that should be followed from the parent resource to a user. When the parent resource is a responsibility or group,linkTypeis not used and the relationship defined for responsibility or group is used. When a user is the parent node,linkTypedetermines the relationship with the child resources that have a created or last modified kind of relationship. See the relations above. The possible values areCREATED,MODIFIED,CREATED_OR_MODIFIED, orCREATED OR MODIFIED.CREATED_OR_MODIFIEDis the default value, but can only be used whenUseris the root of the query tree.CREATED_OR_MODIFIEDturns into a simpleCREATEDwhenUseris not the root of the query.
Email
Extends Resource
Email represents one of the user's email addresses. It can only be used as a child of the user.
Properties
emailAddressText: The email address.
Phone
Extends Resource
Phone represents one of the user's phone numbers. It can only be used as a child of the user.
Properties
phoneNumberText: The phone number.phoneTypeText: The phone type:FAX,MOBILE,OTHER,PAGER,PRIVATE, andWORK.
InstantMessagingAccount
Extends Resource
InstantMessagingAccount represents one of the user's instant messaging accounts. It can only be used as a child of the user.
Properties
accountText: The account ID.instantMessagingAccountTypeText: The instant messaging type:AOL,GTALK,ICQ,JABBER,LIVE_MESSENGER,SKYPE, orYAHOO_MESSENGER.
Website
Extends Resource
Website represents one of the user's websites. It can only be used as a child of the user.
Properties
urlText: The URL of the website.websiteTypeText: The type of website:FACEBOOK,LINKEDIN,MYSPACE,TWITTER, orWEBSITE.
Address
Extends Resource
Address represents one of the user's addresses. It can only be used as a child of the user.
Properties
streetText: The street.numberText: The street number.cityText: The city.postalCodeText: The zip code.stateText: The state.countryText: The country.addressTypeText: The address type:HOMEorWORK.
Group
Extends Resource
A group is a named collection of users.
Properties
groupNameText: The name of the group.
Relations
UserOne-to-many: The users that are part of this group.ResponsibilityOne-to-many: The collection of responsibilities linking this group to a role on an asset, domain or community.
Responsibility
Extends Resource
A responsibility links a user or group with a role on an asset, domain or community. Mutually exclusive.
Relations
UserMany-to-one: The related user. Empty if linked to a group.GroupMany-to-one: The related group. Empty if linked to a user.RoleMany-to-one: The related role.AssetMany-to-one: The associated asset.DomainMany-to-one: The associated domain.CommunityMany-to-one: The associated community.
Filtering property
roleId: Allows filtering responsibilities using the ID property of the related role.
ViewPermission
Extends Resource
A view permission links a user or group with a domain or community. Mutually exclusive.
Relations
UserMany-to-one: The related user. Empty if linked to a group.GroupMany-to-one: The related group. Empty if linked to a user.DomainMany-to-one: The associated domain.CommunityMany-to-one: The associated community.
Role (deprecated)
Extends Asset
The role that a user plays, for example, Steward or Admin.
Status
Extends Resource
The status of an asset.
Properties
signifierText (255): The name of the status.descriptionText: The status description.
Relations
AssetOne-to-many: The assets of this status.
WorkflowTaskInfo (deprecated)
Extends Resource
WorkflowTaskInfo holds all information about an ongoing workflow task.
Properties
descriptionText: The description of the task.titleText: The title of the task.dueDateNumber: The due date of the task expressed as the number of milliseconds since 1/1/1970.itemResourceIdText: The related item ID.itemResourceTypeText: The related resource type.itemVerbalizedText: The verbalized version of the related item.taskTypeText: The type of task.assigneeText: The ID of the assigned user.candidateUsersText: The IDs of candidate users.domainText: The related domain ID.communityText: The related community ID.statusText: The status of the task.
Mapping
Extends Resource
A Mapping links an externally defined entity, such as an asset or domain, to one entity.
Properties
extSystemIdText: The identifier of the external system.extEntityIdText: The external identifier of the entity.extEntityUrlText: The external URL of the entity.lastSyncDateNumber: The last synchronization date.syncActionText: The last synchronization action:ADD,UPDATE, orREMOVE.descriptionText: Description of this mapping.
Relations
AssetMany-to-one: The related asset.DomainMany-to-one: The related domain.
Tag
Extends Resource
A Tag allows categorizing assets by adding one or more labels.
Properties
nameText: The name of the tag.assetCountNumber: The number of total related assets.
Relations
AssetMany-to-many: The related assets.
DataQualityRule (deprecated)
Extends Resource
A DataQualityRule describes the rules for the data quality of an asset.
Properties
nameText: The name of theDataQualityRule.descriptionText: The description of theDataQualityRule.
Scope
Extends Resource
A Scope describes the scope of an assignment.
Properties
nameText: The name of the scope.descriptionText: The description of the scope.
Comment
Extends Resource
Comment represents a single comment of a resource.
Properties
contentString: The content of this comment.resourceTypeString: The type of the resource to which this comment belongs.resolvedBoolean: Whether the comment thread has been resolved.contentLastModifiedOnNumber: When the last edit happened, expressed in milliseconds since 1/1/1970.
Relations
ParentCommentMany-to-one: The parent comment of this comment.CommentOne-to-many: List of subcomments of this comment.AssetOne-to-one: The asset to which this comment is linked.DomainOne-to-one: The domain to which this comment is linked.CommunityOne-to-one: The community to which this comment is linked.
Filtering property
rootCommentBoolean: When true, the query engine adds a filter retaining only root comments.
ParentComment
Extends Resource
ParentComment can only be used as a child of a comment to disambiguate the relationship followed.
DataType (deprecated)
Extends Entity
A DataType is a Catalog entity that characterizes a data element's data type.
Properties
nameText: The name of the type: Date or SSN.descriptionText: Description of the type.classText: The class ofDataTypes:BASEandADVANCED.logicalDataTypeText: The corresponding logical data type used by the profiling job. It is one of the base types.
Relations
DataTypeMatchOne-to-many: The relatedDataTypeMatchesholding a specific percentage of match value for a Data Element instance.
AdvancedDataType (deprecated)
Extends DataType
An AdvancedDataType is an extension of one of the base DataTypes, for example, Text, Numeric or Date, that provides patterns that help the profiling job detect the data type.
Relations
DataTypePatternOne-to-many: The patterns associated with this advanced data type.
DataTypePattern (deprecated)
Extends Entity
A DataTypePattern contains a pattern associated with an AdvancedDataType.
Properties
valueText: The pattern.
Relations
AdvancedDataTypeMany-to-one: The relatedAdvancedDataType.
DataTypeMatch (deprecated)
Extends Entity
A DataTypeMatch contains profiling results indicating the percentage of the actual data behind a DataElement asset that matches a DataType.
Properties
percentageDouble: The matching percentage.
Relations
AssetMany-to-one: The related Data Element.DataTypeMany-to-one: The matchedDataType.
BaseView (deprecated)
Extends Resource
An abstract entity base class of View and DiagramPicture.
Properties
nameText: The name of theBaseView.descriptionText: The description of theBaseView.configText: The JSON config of theBaseView.originalViewText: The ID of the original view of this base view, meaning the view from which this base view was created.isDefaultBoolean: Indicates if this is a defaultBaseView.isPreferredBoolean: Indicates if this is a preferred pinnedBaseView.
View (deprecated)
Extends BaseView
A view in Collibra.
DiagramPicture (deprecated)
Extends BaseView
A diagram illustration.
Properties
svgText: Text field containing an SVG representation of the diagram picture.
Relations
ViewMany-to-one: The view used to create or take the picture.DiagramPictureSharingRuleOne-to-many: The sharing rules of the diagram picture.AssignmentRuleMany-to-many: The assignment rules of the diagram picture.
DiagramPictureSharingRule (deprecated)
Extends Resource
A DiagramPicture sharing rule. A diagram picture can be shared with a user, group or role.
Relations
RoleMany-to-one: The role linked to this rule.GroupMany-to-one: The group linked to this rule.UserMany-to-one: The user linked to this rule.
AssignmentRule (deprecated)
Extends Resource
An assignment rule, only exposed to the graph query engine to show the asset linked to a DiagramPicture.
Relations
AssetMany-to-one: The asset linked to this rule.
Last updated
Was this helpful?